3058ab179a792f424f406d5d2fb84e50cbf60fdc
[scilab.git] / scilab / modules / boolean / Makefile.in
1 # Makefile.in generated by automake 1.11.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
19 # Copyright (C) 2006 - INRIA - Sylvestre LEDRU
20 #
21 # This file is distributed under the same license as the Scilab package.
22
23 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
24 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
25 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
26 #
27 # This file must be used under the terms of the CeCILL.
28 # This source file is licensed as described in the file COPYING, which
29 # you should have received as part of this distribution.  The terms
30 # are also available at
31 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
32 #
33
34 ##########
35 ### Makefile included stuff
36 ### Target, variable, suffixes which are supposed to be usefull in every makefile.am
37 ##########
38
39
40 VPATH = @srcdir@
41 pkgdatadir = $(datadir)/@PACKAGE@
42 pkgincludedir = $(includedir)/@PACKAGE@
43 pkglibdir = $(libdir)/@PACKAGE@
44 pkglibexecdir = $(libexecdir)/@PACKAGE@
45 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
46 install_sh_DATA = $(install_sh) -c -m 644
47 install_sh_PROGRAM = $(install_sh) -c
48 install_sh_SCRIPT = $(install_sh) -c
49 INSTALL_HEADER = $(INSTALL_DATA)
50 transform = $(program_transform_name)
51 NORMAL_INSTALL = :
52 PRE_INSTALL = :
53 POST_INSTALL = :
54 NORMAL_UNINSTALL = :
55 PRE_UNINSTALL = :
56 POST_UNINSTALL = :
57 build_triplet = @build@
58 host_triplet = @host@
59 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
60         $(top_srcdir)/Makefile.incl.am
61 @NEED_JAVA_TRUE@am__append_1 = java
62 subdir = modules/boolean
63 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
64 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
65         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/docbook.m4 \
66         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
67         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
68         $(top_srcdir)/m4/intel_compiler.m4 \
69         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
70         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
71         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
72         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
73         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
74         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
75         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
76         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/relocatable.m4 \
77         $(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
78         $(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
79         $(top_srcdir)/configure.ac
80 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
81         $(ACLOCAL_M4)
82 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
83 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
84 CONFIG_CLEAN_FILES =
85 CONFIG_CLEAN_VPATH_FILES =
86 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
87 am__vpath_adj = case $$p in \
88     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
89     *) f=$$p;; \
90   esac;
91 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
92 am__install_max = 40
93 am__nobase_strip_setup = \
94   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
95 am__nobase_strip = \
96   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
97 am__nobase_list = $(am__nobase_strip_setup); \
98   for p in $$list; do echo "$$p $$p"; done | \
99   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
100   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
101     if (++n[$$2] == $(am__install_max)) \
102       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
103     END { for (dir in files) print dir, files[dir] }'
104 am__base_list = \
105   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
106   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
107 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
108         "$(DESTDIR)$(libsciboolean_la_etcdir)" \
109         "$(DESTDIR)$(libsciboolean_la_rootdir)" \
110         "$(DESTDIR)$(libsciboolean_la_sci_gatewaydir)"
111 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
112 libsciboolean_algo_la_LIBADD =
113 am__objects_1 = libsciboolean_algo_la-matboolean.lo \
114         libsciboolean_algo_la-vect_or.lo \
115         libsciboolean_algo_la-vect_and.lo
116 am__objects_2 = logic.lo find.lo
117 am_libsciboolean_algo_la_OBJECTS = $(am__objects_1) $(am__objects_2)
118 libsciboolean_algo_la_OBJECTS = $(am_libsciboolean_algo_la_OBJECTS)
119 @MAINTAINER_MODE_FALSE@am_libsciboolean_algo_la_rpath =
120 @MAINTAINER_MODE_TRUE@am_libsciboolean_algo_la_rpath =
121 libsciboolean_la_DEPENDENCIES = libsciboolean-algo.la
122 am__objects_3 = libsciboolean_la-sci_and.lo libsciboolean_la-sci_or.lo \
123         libsciboolean_la-sci_find.lo libsciboolean_la-sci_bool2s.lo \
124         libsciboolean_la-gw_boolean.lo
125 am__objects_4 = sci_f_bool2s.lo sci_f_find.lo
126 am_libsciboolean_la_OBJECTS = $(am__objects_3) $(am__objects_4)
127 libsciboolean_la_OBJECTS = $(am_libsciboolean_la_OBJECTS)
128 libsciboolean_la_LINK = $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) \
129         $(LIBTOOLFLAGS) --mode=link $(F77LD) $(AM_FFLAGS) $(FFLAGS) \
130         $(libsciboolean_la_LDFLAGS) $(LDFLAGS) -o $@
131 @MAINTAINER_MODE_FALSE@am_libsciboolean_la_rpath =
132 @MAINTAINER_MODE_TRUE@am_libsciboolean_la_rpath = -rpath $(pkglibdir)
133 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
134 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
135 am__depfiles_maybe = depfiles
136 am__mv = mv -f
137 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
138         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
139 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
140         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
141         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
142 CCLD = $(CC)
143 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
144         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
145         $(LDFLAGS) -o $@
146 F77COMPILE = $(F77) $(AM_FFLAGS) $(FFLAGS)
147 LTF77COMPILE = $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
148         --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS)
149 F77LD = $(F77)
150 F77LINK = $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
151         --mode=link $(F77LD) $(AM_FFLAGS) $(FFLAGS) $(AM_LDFLAGS) \
152         $(LDFLAGS) -o $@
153 SOURCES = $(libsciboolean_algo_la_SOURCES) $(libsciboolean_la_SOURCES)
154 DIST_SOURCES = $(libsciboolean_algo_la_SOURCES) \
155         $(libsciboolean_la_SOURCES)
156 DATA = $(libsciboolean_la_etc_DATA) $(libsciboolean_la_root_DATA) \
157         $(libsciboolean_la_sci_gateway_DATA)
158 ETAGS = etags
159 CTAGS = ctags
160 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
161 ACLOCAL = @ACLOCAL@
162 ALL_LINGUAS = @ALL_LINGUAS@
163 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
164 AMTAR = @AMTAR@
165 ANT = @ANT@
166 ANTLR = @ANTLR@
167 AR = @AR@
168 ARPACK_LIBS = @ARPACK_LIBS@
169 AUTOCONF = @AUTOCONF@
170 AUTOHEADER = @AUTOHEADER@
171 AUTOMAKE = @AUTOMAKE@
172 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
173 AWK = @AWK@
174 BATIK = @BATIK@
175 BLAS_LIBS = @BLAS_LIBS@
176 BSH = @BSH@
177 CC = @CC@
178 CCACHE = @CCACHE@
179 CCDEPMODE = @CCDEPMODE@
180 CFLAGS = @CFLAGS@
181 CHECKSTYLE = @CHECKSTYLE@
182 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
183 COMMONS_IO = @COMMONS_IO@
184 COMMONS_LOGGING = @COMMONS_LOGGING@
185 CPP = @CPP@
186 CPPFLAGS = @CPPFLAGS@
187 CXX = @CXX@
188 CXXCPP = @CXXCPP@
189 CXXDEPMODE = @CXXDEPMODE@
190 CXXFLAGS = @CXXFLAGS@
191 CYGPATH_W = @CYGPATH_W@
192 DEFS = @DEFS@
193 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
194 DEPDIR = @DEPDIR@
195 DOCBOOK_ROOT = @DOCBOOK_ROOT@
196 DSYMUTIL = @DSYMUTIL@
197 DUMPBIN = @DUMPBIN@
198 ECHO_C = @ECHO_C@
199 ECHO_N = @ECHO_N@
200 ECHO_T = @ECHO_T@
201 EGREP = @EGREP@
202 EXEEXT = @EXEEXT@
203 F77 = @F77@
204 FFLAGS = @FFLAGS@
205 FFTW3_LIB = @FFTW3_LIB@
206 FFTW_ENABLE = @FFTW_ENABLE@
207 FGREP = @FGREP@
208 FLEXDOCK = @FLEXDOCK@
209 FLIBS = @FLIBS@
210 FOP = @FOP@
211 GENHTML = @GENHTML@
212 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
213 GIWS_BIN = @GIWS_BIN@
214 GLUEGEN_RT = @GLUEGEN_RT@
215 GMSGFMT = @GMSGFMT@
216 GMSGFMT_015 = @GMSGFMT_015@
217 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
218 GREP = @GREP@
219 GUI_ENABLE = @GUI_ENABLE@
220 HDF5_CFLAGS = @HDF5_CFLAGS@
221 HDF5_ENABLE = @HDF5_ENABLE@
222 HDF5_LIBS = @HDF5_LIBS@
223 HELP_ENABLE = @HELP_ENABLE@
224 INSTALL = @INSTALL@
225 INSTALL_DATA = @INSTALL_DATA@
226 INSTALL_PROGRAM = @INSTALL_PROGRAM@
227 INSTALL_SCRIPT = @INSTALL_SCRIPT@
228 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
229 INTLLIBS = @INTLLIBS@
230 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
231 JAR = @JAR@
232 JAVA = @JAVA@
233 JAVAC = @JAVAC@
234 JAVAC_DEBUG = @JAVAC_DEBUG@
235 JAVADOC = @JAVADOC@
236 JAVAH = @JAVAH@
237 JAVASCI_ENABLE = @JAVASCI_ENABLE@
238 JAVA_ENABLE = @JAVA_ENABLE@
239 JAVA_G = @JAVA_G@
240 JAVA_HOME = @JAVA_HOME@
241 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
242 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
243 JCOMMANDER = @JCOMMANDER@
244 JDB = @JDB@
245 JEUCLID_CORE = @JEUCLID_CORE@
246 JGRAPHX = @JGRAPHX@
247 JHALL = @JHALL@
248 JHDF5 = @JHDF5@
249 JLATEXMATH = @JLATEXMATH@
250 JLATEXMATH_FOP = @JLATEXMATH_FOP@
251 JOGL = @JOGL@
252 JROSETTA_API = @JROSETTA_API@
253 JROSETTA_ENGINE = @JROSETTA_ENGINE@
254 JUNIT = @JUNIT@
255 LAPACK_LIBS = @LAPACK_LIBS@
256 LCOV = @LCOV@
257 LD = @LD@
258 LDFLAGS = @LDFLAGS@
259 LIBICONV = @LIBICONV@
260 LIBINTL = @LIBINTL@
261 LIBM = @LIBM@
262 LIBOBJS = @LIBOBJS@
263 LIBS = @LIBS@
264 LIBTOOL = @LIBTOOL@
265 LIPO = @LIPO@
266 LN_S = @LN_S@
267 LOGGING_LEVEL = @LOGGING_LEVEL@
268 LOOKS = @LOOKS@
269 LTLIBICONV = @LTLIBICONV@
270 LTLIBINTL = @LTLIBINTL@
271 LTLIBOBJS = @LTLIBOBJS@
272 MAINT = @MAINT@
273 MAKEINFO = @MAKEINFO@
274 MATIO_CFLAGS = @MATIO_CFLAGS@
275 MATIO_ENABLE = @MATIO_ENABLE@
276 MATIO_LIBS = @MATIO_LIBS@
277 MKDIR_P = @MKDIR_P@
278 MSGCAT = @MSGCAT@
279 MSGFMT = @MSGFMT@
280 MSGFMT_015 = @MSGFMT_015@
281 MSGMERGE = @MSGMERGE@
282 NM = @NM@
283 NMEDIT = @NMEDIT@
284 OBJDUMP = @OBJDUMP@
285 OBJEXT = @OBJEXT@
286 OCAMLC = @OCAMLC@
287 OCAMLDEP = @OCAMLDEP@
288 OCAMLLEX = @OCAMLLEX@
289 OCAMLOPT = @OCAMLOPT@
290 OCAMLYACC = @OCAMLYACC@
291 OPENMP_CFLAGS = @OPENMP_CFLAGS@
292 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
293 OPENMP_ENABLE = @OPENMP_ENABLE@
294 OPENMP_LIBS = @OPENMP_LIBS@
295 OTOOL = @OTOOL@
296 OTOOL64 = @OTOOL64@
297 PACKAGE = @PACKAGE@
298 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
299 PACKAGE_NAME = @PACKAGE_NAME@
300 PACKAGE_STRING = @PACKAGE_STRING@
301 PACKAGE_TARNAME = @PACKAGE_TARNAME@
302 PACKAGE_URL = @PACKAGE_URL@
303 PACKAGE_VERSION = @PACKAGE_VERSION@
304 PATH_SEPARATOR = @PATH_SEPARATOR@
305 PCRE_CFLAGS = @PCRE_CFLAGS@
306 PCRE_CONFIG = @PCRE_CONFIG@
307 PCRE_LIBS = @PCRE_LIBS@
308 PCRE_VERSION = @PCRE_VERSION@
309 PKG_CONFIG = @PKG_CONFIG@
310 POSUB = @POSUB@
311 POW_LIB = @POW_LIB@
312 PYTHON = @PYTHON@
313 QDOX = @QDOX@
314 RANLIB = @RANLIB@
315 RELOCATABLE = @RELOCATABLE@
316 RT_LIB = @RT_LIB@
317 SAXON = @SAXON@
318 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
319 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
320 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
321 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
322 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
323 SED = @SED@
324 SET_MAKE = @SET_MAKE@
325 SET_RELOCATABLE = @SET_RELOCATABLE@
326 SHELL = @SHELL@
327 SKINLF = @SKINLF@
328 SPLINT = @SPLINT@
329 STRIP = @STRIP@
330 SWIG_BIN = @SWIG_BIN@
331 SWIG_JAVA = @SWIG_JAVA@
332 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
333 TCLTK_LIBS = @TCLTK_LIBS@
334 TCL_INC_PATH = @TCL_INC_PATH@
335 TESTNG = @TESTNG@
336 TK_INC_PATH = @TK_INC_PATH@
337 UMFPACK_ENABLE = @UMFPACK_ENABLE@
338 UMFPACK_LIB = @UMFPACK_LIB@
339 USE_NLS = @USE_NLS@
340 VERSION = @VERSION@
341 WITH_OCAML = @WITH_OCAML@
342 WITH_TKSCI = @WITH_TKSCI@
343 XCOS_ENABLE = @XCOS_ENABLE@
344 XGETTEXT = @XGETTEXT@
345 XGETTEXT_015 = @XGETTEXT_015@
346 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
347 XMKMF = @XMKMF@
348 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
349 XML_APIS_EXT = @XML_APIS_EXT@
350 XML_CONFIG = @XML_CONFIG@
351 XML_FLAGS = @XML_FLAGS@
352 XML_LIBS = @XML_LIBS@
353 XML_VERSION = @XML_VERSION@
354 X_CFLAGS = @X_CFLAGS@
355 X_EXTRA_LIBS = @X_EXTRA_LIBS@
356 X_LIBS = @X_LIBS@
357 X_PRE_LIBS = @X_PRE_LIBS@
358 abs_builddir = @abs_builddir@
359 abs_srcdir = @abs_srcdir@
360 abs_top_builddir = @abs_top_builddir@
361 abs_top_srcdir = @abs_top_srcdir@
362 ac_ct_CC = @ac_ct_CC@
363 ac_ct_CXX = @ac_ct_CXX@
364 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
365 ac_ct_F77 = @ac_ct_F77@
366 am__include = @am__include@
367 am__leading_dot = @am__leading_dot@
368 am__quote = @am__quote@
369 am__tar = @am__tar@
370 am__untar = @am__untar@
371 bindir = @bindir@
372 build = @build@
373 build_alias = @build_alias@
374 build_cpu = @build_cpu@
375 build_os = @build_os@
376 build_vendor = @build_vendor@
377 builddir = @builddir@
378 cxx_present = @cxx_present@
379 datadir = @datadir@
380 datarootdir = @datarootdir@
381 docdir = @docdir@
382 dvidir = @dvidir@
383 exec_prefix = @exec_prefix@
384 host = @host@
385 host_alias = @host_alias@
386 host_cpu = @host_cpu@
387 host_os = @host_os@
388 host_vendor = @host_vendor@
389 htmldir = @htmldir@
390 includedir = @includedir@
391 infodir = @infodir@
392 install_sh = @install_sh@
393 libdir = @libdir@
394 libexecdir = @libexecdir@
395 localedir = @localedir@
396 localstatedir = @localstatedir@
397 mandir = @mandir@
398 mkdir_p = @mkdir_p@
399 oldincludedir = @oldincludedir@
400 pdfdir = @pdfdir@
401 prefix = @prefix@
402 program_transform_name = @program_transform_name@
403 psdir = @psdir@
404 sbindir = @sbindir@
405 sharedstatedir = @sharedstatedir@
406 srcdir = @srcdir@
407 sysconfdir = @sysconfdir@
408 target_alias = @target_alias@
409 top_build_prefix = @top_build_prefix@
410 top_builddir = @top_builddir@
411 top_srcdir = @top_srcdir@
412 BOOLEAN_C_SOURCES = src/c/matboolean.c \
413 src/c/vect_or.c \
414 src/c/vect_and.c
415
416 BOOLEAN_FORTRAN_SOURCES = src/fortran/logic.f \
417 src/fortran/find.f
418
419 GATEWAY_C_SOURCES = sci_gateway/c/sci_and.c \
420 sci_gateway/c/sci_or.c \
421 sci_gateway/c/sci_find.c \
422 sci_gateway/c/sci_bool2s.c \
423 sci_gateway/c/gw_boolean.c
424
425 GATEWAY_FORTRAN_SOURCES = sci_gateway/fortran/sci_f_bool2s.f \
426 sci_gateway/fortran/sci_f_find.f
427
428 libsciboolean_la_CFLAGS = -I$(srcdir)/includes/ \
429                                 -I$(srcdir)/src/c/ \
430                                 -I$(top_srcdir)/modules/api_scilab/includes \
431                                 -I$(top_srcdir)/modules/output_stream/includes
432
433 @MAINTAINER_MODE_TRUE@pkglib_LTLIBRARIES = libsciboolean.la
434 @MAINTAINER_MODE_FALSE@noinst_LTLIBRARIES = libsciboolean-algo.la libsciboolean.la
435 @MAINTAINER_MODE_TRUE@noinst_LTLIBRARIES = libsciboolean-algo.la
436 libsciboolean_la_LDFLAGS = -version-number $(SCILAB_LIBRARY_VERSION)
437 libsciboolean_algo_la_SOURCES = $(BOOLEAN_C_SOURCES) $(BOOLEAN_FORTRAN_SOURCES)
438 libsciboolean_la_SOURCES = $(GATEWAY_C_SOURCES) $(GATEWAY_FORTRAN_SOURCES)
439 libsciboolean_algo_la_CFLAGS = $(libsciboolean_la_CFLAGS)
440
441 # For the code check (splint)
442 CHECK_SRC = $(BOOLEAN_C_SOURCES) $(GATEWAY_C_SOURCES)
443 INCLUDE_FLAGS = $(libsciboolean_la_CFLAGS)
444 libsciboolean_la_LIBADD = libsciboolean-algo.la
445 modulename = boolean
446
447 #### boolean : Conf files ####
448 libsciboolean_la_rootdir = $(mydatadir)
449 libsciboolean_la_root_DATA = license.txt 
450
451 ####´┐Żboolean : init scripts ####
452 libsciboolean_la_etcdir = $(mydatadir)/etc
453 libsciboolean_la_etc_DATA = etc/boolean.quit etc/boolean.start
454
455 ####´┐Żboolean : gateway declaration ####
456 libsciboolean_la_sci_gatewaydir = $(mydatadir)/sci_gateway
457 libsciboolean_la_sci_gateway_DATA = sci_gateway/boolean_gateway.xml
458
459 # Where all the Scilab stuff is installed (macros, help, ...)
460 mydatadir = $(pkgdatadir)/modules/$(modulename)
461
462 # splint options
463 SPLINT_OPTIONS = -weak -booltype BOOL
464
465 ########################### JAVA ######################################
466 #### We are delegating java compilation to ant... Thanks to that
467 #### the procedure will be the same with Microsoft Windows (C)
468 #### and Linux/Unix
469 #######################################################################
470 TARGETS_ALL = $(am__append_1)
471
472 ################ MACROS ######################
473 # Rule to build a macro
474 # NOT USED  AT THE MOMENT
475 SUFFIXES = .sci 
476
477 ########### INSTALL DOCUMENTATION ###################
478
479 # Install documentation files into the right target
480 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
481 # automake needs the html files to be present which is not the case when
482 # we are building Scilab
483
484 # Where it should be installed
485 pkgdocdir = $(mydatadir)
486
487 # What is the mask of the help source
488 DOCMASKXML = *.xml
489
490 # What is the mask of the MathML sources
491 DOCMASKMML = *.mml
492
493 ########### INSTALL DATA ###################
494 # Install macros, help & demos
495 # Where it should be installed
496 pkgmacrosdir = $(mydatadir)
497 # Which directory we process
498 MACRODIRS = macros/
499 # Mask of the Scilab sources macros
500 MACROMASK = *.sci
501 # Mask of the Scilab executable sources macros
502 MACROBUILDMASK = *.sce
503 # Mask of the Scilab compiled macros
504 MACROBINMASK = *.bin
505 # List of the standard directory for tests
506 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
507 # Where the demos should be installed
508 pkgdemosdir = $(mydatadir)
509 # List of the standard directory for demos
510 DEMOS_DIR = demos
511 # List of the standard directory for examples
512 EXAMPLES_DIR = examples
513 # Where to export JAVA archives (.jar)
514 JARDIR = jar/
515 # JAR files mask
516 JARMASK = *.jar
517 # Chapter file 
518 HELP_CHAPTERDIR = help/
519 HELP_CHAPTERFILE = addchapter.sce
520 HELP_CHAPTERLANG = en_US fr_FR pt_BR
521 all: all-am
522
523 .SUFFIXES:
524 .SUFFIXES: .sci .bin .c .f .lo .o .obj
525 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
526         @for dep in $?; do \
527           case '$(am__configure_deps)' in \
528             *$$dep*) \
529               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
530                 && { if test -f $@; then exit 0; else break; fi; }; \
531               exit 1;; \
532           esac; \
533         done; \
534         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/boolean/Makefile'; \
535         $(am__cd) $(top_srcdir) && \
536           $(AUTOMAKE) --foreign modules/boolean/Makefile
537 .PRECIOUS: Makefile
538 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
539         @case '$?' in \
540           *config.status*) \
541             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
542           *) \
543             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
544             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
545         esac;
546
547 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
548         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
549
550 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
551         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
552 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
553         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
554 $(am__aclocal_m4_deps):
555
556 clean-noinstLTLIBRARIES:
557         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
558         @list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
559           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
560           test "$$dir" != "$$p" || dir=.; \
561           echo "rm -f \"$${dir}/so_locations\""; \
562           rm -f "$${dir}/so_locations"; \
563         done
564 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
565         @$(NORMAL_INSTALL)
566         test -z "$(pkglibdir)" || $(MKDIR_P) "$(DESTDIR)$(pkglibdir)"
567         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
568         list2=; for p in $$list; do \
569           if test -f $$p; then \
570             list2="$$list2 $$p"; \
571           else :; fi; \
572         done; \
573         test -z "$$list2" || { \
574           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
575           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
576         }
577
578 uninstall-pkglibLTLIBRARIES:
579         @$(NORMAL_UNINSTALL)
580         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
581         for p in $$list; do \
582           $(am__strip_dir) \
583           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
584           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
585         done
586
587 clean-pkglibLTLIBRARIES:
588         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
589         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
590           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
591           test "$$dir" != "$$p" || dir=.; \
592           echo "rm -f \"$${dir}/so_locations\""; \
593           rm -f "$${dir}/so_locations"; \
594         done
595 libsciboolean-algo.la: $(libsciboolean_algo_la_OBJECTS) $(libsciboolean_algo_la_DEPENDENCIES) 
596         $(F77LINK) $(am_libsciboolean_algo_la_rpath) $(libsciboolean_algo_la_OBJECTS) $(libsciboolean_algo_la_LIBADD) $(LIBS)
597 libsciboolean.la: $(libsciboolean_la_OBJECTS) $(libsciboolean_la_DEPENDENCIES) 
598         $(libsciboolean_la_LINK) $(am_libsciboolean_la_rpath) $(libsciboolean_la_OBJECTS) $(libsciboolean_la_LIBADD) $(LIBS)
599
600 mostlyclean-compile:
601         -rm -f *.$(OBJEXT)
602
603 distclean-compile:
604         -rm -f *.tab.c
605
606 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciboolean_algo_la-matboolean.Plo@am__quote@
607 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciboolean_algo_la-vect_and.Plo@am__quote@
608 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciboolean_algo_la-vect_or.Plo@am__quote@
609 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciboolean_la-gw_boolean.Plo@am__quote@
610 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciboolean_la-sci_and.Plo@am__quote@
611 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciboolean_la-sci_bool2s.Plo@am__quote@
612 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciboolean_la-sci_find.Plo@am__quote@
613 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciboolean_la-sci_or.Plo@am__quote@
614
615 .c.o:
616 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
617 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
618 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
619 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
620 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
621
622 .c.obj:
623 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
624 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
625 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
626 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
627 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
628
629 .c.lo:
630 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
631 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
632 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
633 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
634 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
635
636 libsciboolean_algo_la-matboolean.lo: src/c/matboolean.c
637 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciboolean_algo_la_CFLAGS) $(CFLAGS) -MT libsciboolean_algo_la-matboolean.lo -MD -MP -MF $(DEPDIR)/libsciboolean_algo_la-matboolean.Tpo -c -o libsciboolean_algo_la-matboolean.lo `test -f 'src/c/matboolean.c' || echo '$(srcdir)/'`src/c/matboolean.c
638 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciboolean_algo_la-matboolean.Tpo $(DEPDIR)/libsciboolean_algo_la-matboolean.Plo
639 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/matboolean.c' object='libsciboolean_algo_la-matboolean.lo' libtool=yes @AMDEPBACKSLASH@
640 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
641 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciboolean_algo_la_CFLAGS) $(CFLAGS) -c -o libsciboolean_algo_la-matboolean.lo `test -f 'src/c/matboolean.c' || echo '$(srcdir)/'`src/c/matboolean.c
642
643 libsciboolean_algo_la-vect_or.lo: src/c/vect_or.c
644 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciboolean_algo_la_CFLAGS) $(CFLAGS) -MT libsciboolean_algo_la-vect_or.lo -MD -MP -MF $(DEPDIR)/libsciboolean_algo_la-vect_or.Tpo -c -o libsciboolean_algo_la-vect_or.lo `test -f 'src/c/vect_or.c' || echo '$(srcdir)/'`src/c/vect_or.c
645 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciboolean_algo_la-vect_or.Tpo $(DEPDIR)/libsciboolean_algo_la-vect_or.Plo
646 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/vect_or.c' object='libsciboolean_algo_la-vect_or.lo' libtool=yes @AMDEPBACKSLASH@
647 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
648 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciboolean_algo_la_CFLAGS) $(CFLAGS) -c -o libsciboolean_algo_la-vect_or.lo `test -f 'src/c/vect_or.c' || echo '$(srcdir)/'`src/c/vect_or.c
649
650 libsciboolean_algo_la-vect_and.lo: src/c/vect_and.c
651 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciboolean_algo_la_CFLAGS) $(CFLAGS) -MT libsciboolean_algo_la-vect_and.lo -MD -MP -MF $(DEPDIR)/libsciboolean_algo_la-vect_and.Tpo -c -o libsciboolean_algo_la-vect_and.lo `test -f 'src/c/vect_and.c' || echo '$(srcdir)/'`src/c/vect_and.c
652 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciboolean_algo_la-vect_and.Tpo $(DEPDIR)/libsciboolean_algo_la-vect_and.Plo
653 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/vect_and.c' object='libsciboolean_algo_la-vect_and.lo' libtool=yes @AMDEPBACKSLASH@
654 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
655 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciboolean_algo_la_CFLAGS) $(CFLAGS) -c -o libsciboolean_algo_la-vect_and.lo `test -f 'src/c/vect_and.c' || echo '$(srcdir)/'`src/c/vect_and.c
656
657 libsciboolean_la-sci_and.lo: sci_gateway/c/sci_and.c
658 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciboolean_la_CFLAGS) $(CFLAGS) -MT libsciboolean_la-sci_and.lo -MD -MP -MF $(DEPDIR)/libsciboolean_la-sci_and.Tpo -c -o libsciboolean_la-sci_and.lo `test -f 'sci_gateway/c/sci_and.c' || echo '$(srcdir)/'`sci_gateway/c/sci_and.c
659 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciboolean_la-sci_and.Tpo $(DEPDIR)/libsciboolean_la-sci_and.Plo
660 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_and.c' object='libsciboolean_la-sci_and.lo' libtool=yes @AMDEPBACKSLASH@
661 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
662 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciboolean_la_CFLAGS) $(CFLAGS) -c -o libsciboolean_la-sci_and.lo `test -f 'sci_gateway/c/sci_and.c' || echo '$(srcdir)/'`sci_gateway/c/sci_and.c
663
664 libsciboolean_la-sci_or.lo: sci_gateway/c/sci_or.c
665 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciboolean_la_CFLAGS) $(CFLAGS) -MT libsciboolean_la-sci_or.lo -MD -MP -MF $(DEPDIR)/libsciboolean_la-sci_or.Tpo -c -o libsciboolean_la-sci_or.lo `test -f 'sci_gateway/c/sci_or.c' || echo '$(srcdir)/'`sci_gateway/c/sci_or.c
666 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciboolean_la-sci_or.Tpo $(DEPDIR)/libsciboolean_la-sci_or.Plo
667 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_or.c' object='libsciboolean_la-sci_or.lo' libtool=yes @AMDEPBACKSLASH@
668 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
669 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciboolean_la_CFLAGS) $(CFLAGS) -c -o libsciboolean_la-sci_or.lo `test -f 'sci_gateway/c/sci_or.c' || echo '$(srcdir)/'`sci_gateway/c/sci_or.c
670
671 libsciboolean_la-sci_find.lo: sci_gateway/c/sci_find.c
672 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciboolean_la_CFLAGS) $(CFLAGS) -MT libsciboolean_la-sci_find.lo -MD -MP -MF $(DEPDIR)/libsciboolean_la-sci_find.Tpo -c -o libsciboolean_la-sci_find.lo `test -f 'sci_gateway/c/sci_find.c' || echo '$(srcdir)/'`sci_gateway/c/sci_find.c
673 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciboolean_la-sci_find.Tpo $(DEPDIR)/libsciboolean_la-sci_find.Plo
674 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_find.c' object='libsciboolean_la-sci_find.lo' libtool=yes @AMDEPBACKSLASH@
675 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
676 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciboolean_la_CFLAGS) $(CFLAGS) -c -o libsciboolean_la-sci_find.lo `test -f 'sci_gateway/c/sci_find.c' || echo '$(srcdir)/'`sci_gateway/c/sci_find.c
677
678 libsciboolean_la-sci_bool2s.lo: sci_gateway/c/sci_bool2s.c
679 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciboolean_la_CFLAGS) $(CFLAGS) -MT libsciboolean_la-sci_bool2s.lo -MD -MP -MF $(DEPDIR)/libsciboolean_la-sci_bool2s.Tpo -c -o libsciboolean_la-sci_bool2s.lo `test -f 'sci_gateway/c/sci_bool2s.c' || echo '$(srcdir)/'`sci_gateway/c/sci_bool2s.c
680 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciboolean_la-sci_bool2s.Tpo $(DEPDIR)/libsciboolean_la-sci_bool2s.Plo
681 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_bool2s.c' object='libsciboolean_la-sci_bool2s.lo' libtool=yes @AMDEPBACKSLASH@
682 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
683 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciboolean_la_CFLAGS) $(CFLAGS) -c -o libsciboolean_la-sci_bool2s.lo `test -f 'sci_gateway/c/sci_bool2s.c' || echo '$(srcdir)/'`sci_gateway/c/sci_bool2s.c
684
685 libsciboolean_la-gw_boolean.lo: sci_gateway/c/gw_boolean.c
686 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciboolean_la_CFLAGS) $(CFLAGS) -MT libsciboolean_la-gw_boolean.lo -MD -MP -MF $(DEPDIR)/libsciboolean_la-gw_boolean.Tpo -c -o libsciboolean_la-gw_boolean.lo `test -f 'sci_gateway/c/gw_boolean.c' || echo '$(srcdir)/'`sci_gateway/c/gw_boolean.c
687 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciboolean_la-gw_boolean.Tpo $(DEPDIR)/libsciboolean_la-gw_boolean.Plo
688 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/gw_boolean.c' object='libsciboolean_la-gw_boolean.lo' libtool=yes @AMDEPBACKSLASH@
689 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
690 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciboolean_la_CFLAGS) $(CFLAGS) -c -o libsciboolean_la-gw_boolean.lo `test -f 'sci_gateway/c/gw_boolean.c' || echo '$(srcdir)/'`sci_gateway/c/gw_boolean.c
691
692 .f.o:
693         $(F77COMPILE) -c -o $@ $<
694
695 .f.obj:
696         $(F77COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
697
698 .f.lo:
699         $(LTF77COMPILE) -c -o $@ $<
700
701 logic.lo: src/fortran/logic.f
702         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o logic.lo `test -f 'src/fortran/logic.f' || echo '$(srcdir)/'`src/fortran/logic.f
703
704 find.lo: src/fortran/find.f
705         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o find.lo `test -f 'src/fortran/find.f' || echo '$(srcdir)/'`src/fortran/find.f
706
707 sci_f_bool2s.lo: sci_gateway/fortran/sci_f_bool2s.f
708         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o sci_f_bool2s.lo `test -f 'sci_gateway/fortran/sci_f_bool2s.f' || echo '$(srcdir)/'`sci_gateway/fortran/sci_f_bool2s.f
709
710 sci_f_find.lo: sci_gateway/fortran/sci_f_find.f
711         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o sci_f_find.lo `test -f 'sci_gateway/fortran/sci_f_find.f' || echo '$(srcdir)/'`sci_gateway/fortran/sci_f_find.f
712
713 mostlyclean-libtool:
714         -rm -f *.lo
715
716 clean-libtool:
717         -rm -rf .libs _libs
718 install-libsciboolean_la_etcDATA: $(libsciboolean_la_etc_DATA)
719         @$(NORMAL_INSTALL)
720         test -z "$(libsciboolean_la_etcdir)" || $(MKDIR_P) "$(DESTDIR)$(libsciboolean_la_etcdir)"
721         @list='$(libsciboolean_la_etc_DATA)'; test -n "$(libsciboolean_la_etcdir)" || list=; \
722         for p in $$list; do \
723           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
724           echo "$$d$$p"; \
725         done | $(am__base_list) | \
726         while read files; do \
727           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciboolean_la_etcdir)'"; \
728           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciboolean_la_etcdir)" || exit $$?; \
729         done
730
731 uninstall-libsciboolean_la_etcDATA:
732         @$(NORMAL_UNINSTALL)
733         @list='$(libsciboolean_la_etc_DATA)'; test -n "$(libsciboolean_la_etcdir)" || list=; \
734         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
735         test -n "$$files" || exit 0; \
736         echo " ( cd '$(DESTDIR)$(libsciboolean_la_etcdir)' && rm -f" $$files ")"; \
737         cd "$(DESTDIR)$(libsciboolean_la_etcdir)" && rm -f $$files
738 install-libsciboolean_la_rootDATA: $(libsciboolean_la_root_DATA)
739         @$(NORMAL_INSTALL)
740         test -z "$(libsciboolean_la_rootdir)" || $(MKDIR_P) "$(DESTDIR)$(libsciboolean_la_rootdir)"
741         @list='$(libsciboolean_la_root_DATA)'; test -n "$(libsciboolean_la_rootdir)" || list=; \
742         for p in $$list; do \
743           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
744           echo "$$d$$p"; \
745         done | $(am__base_list) | \
746         while read files; do \
747           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciboolean_la_rootdir)'"; \
748           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciboolean_la_rootdir)" || exit $$?; \
749         done
750
751 uninstall-libsciboolean_la_rootDATA:
752         @$(NORMAL_UNINSTALL)
753         @list='$(libsciboolean_la_root_DATA)'; test -n "$(libsciboolean_la_rootdir)" || list=; \
754         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
755         test -n "$$files" || exit 0; \
756         echo " ( cd '$(DESTDIR)$(libsciboolean_la_rootdir)' && rm -f" $$files ")"; \
757         cd "$(DESTDIR)$(libsciboolean_la_rootdir)" && rm -f $$files
758 install-libsciboolean_la_sci_gatewayDATA: $(libsciboolean_la_sci_gateway_DATA)
759         @$(NORMAL_INSTALL)
760         test -z "$(libsciboolean_la_sci_gatewaydir)" || $(MKDIR_P) "$(DESTDIR)$(libsciboolean_la_sci_gatewaydir)"
761         @list='$(libsciboolean_la_sci_gateway_DATA)'; test -n "$(libsciboolean_la_sci_gatewaydir)" || list=; \
762         for p in $$list; do \
763           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
764           echo "$$d$$p"; \
765         done | $(am__base_list) | \
766         while read files; do \
767           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciboolean_la_sci_gatewaydir)'"; \
768           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciboolean_la_sci_gatewaydir)" || exit $$?; \
769         done
770
771 uninstall-libsciboolean_la_sci_gatewayDATA:
772         @$(NORMAL_UNINSTALL)
773         @list='$(libsciboolean_la_sci_gateway_DATA)'; test -n "$(libsciboolean_la_sci_gatewaydir)" || list=; \
774         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
775         test -n "$$files" || exit 0; \
776         echo " ( cd '$(DESTDIR)$(libsciboolean_la_sci_gatewaydir)' && rm -f" $$files ")"; \
777         cd "$(DESTDIR)$(libsciboolean_la_sci_gatewaydir)" && rm -f $$files
778
779 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
780         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
781         unique=`for i in $$list; do \
782             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
783           done | \
784           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
785               END { if (nonempty) { for (i in files) print i; }; }'`; \
786         mkid -fID $$unique
787 tags: TAGS
788
789 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
790                 $(TAGS_FILES) $(LISP)
791         set x; \
792         here=`pwd`; \
793         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
794         unique=`for i in $$list; do \
795             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
796           done | \
797           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
798               END { if (nonempty) { for (i in files) print i; }; }'`; \
799         shift; \
800         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
801           test -n "$$unique" || unique=$$empty_fix; \
802           if test $$# -gt 0; then \
803             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
804               "$$@" $$unique; \
805           else \
806             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
807               $$unique; \
808           fi; \
809         fi
810 ctags: CTAGS
811 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
812                 $(TAGS_FILES) $(LISP)
813         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
814         unique=`for i in $$list; do \
815             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
816           done | \
817           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
818               END { if (nonempty) { for (i in files) print i; }; }'`; \
819         test -z "$(CTAGS_ARGS)$$unique" \
820           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
821              $$unique
822
823 GTAGS:
824         here=`$(am__cd) $(top_builddir) && pwd` \
825           && $(am__cd) $(top_srcdir) \
826           && gtags -i $(GTAGS_ARGS) "$$here"
827
828 distclean-tags:
829         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
830
831 distdir: $(DISTFILES)
832         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
833         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
834         list='$(DISTFILES)'; \
835           dist_files=`for file in $$list; do echo $$file; done | \
836           sed -e "s|^$$srcdirstrip/||;t" \
837               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
838         case $$dist_files in \
839           */*) $(MKDIR_P) `echo "$$dist_files" | \
840                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
841                            sort -u` ;; \
842         esac; \
843         for file in $$dist_files; do \
844           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
845           if test -d $$d/$$file; then \
846             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
847             if test -d "$(distdir)/$$file"; then \
848               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
849             fi; \
850             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
851               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
852               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
853             fi; \
854             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
855           else \
856             test -f "$(distdir)/$$file" \
857             || cp -p $$d/$$file "$(distdir)/$$file" \
858             || exit 1; \
859           fi; \
860         done
861 check-am: all-am
862         $(MAKE) $(AM_MAKEFLAGS) check-local
863 check: check-am
864 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
865 installdirs:
866         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciboolean_la_etcdir)" "$(DESTDIR)$(libsciboolean_la_rootdir)" "$(DESTDIR)$(libsciboolean_la_sci_gatewaydir)"; do \
867           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
868         done
869 install: install-am
870 install-exec: install-exec-am
871 install-data: install-data-am
872 uninstall: uninstall-am
873
874 install-am: all-am
875         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
876
877 installcheck: installcheck-am
878 install-strip:
879         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
880           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
881           `test -z '$(STRIP)' || \
882             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
883 mostlyclean-generic:
884
885 clean-generic:
886
887 distclean-generic:
888         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
889         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
890
891 maintainer-clean-generic:
892         @echo "This command is intended for maintainers to use"
893         @echo "it deletes files that may require special tools to rebuild."
894 clean: clean-am
895
896 clean-am: clean-generic clean-libtool clean-local \
897         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
898
899 distclean: distclean-am
900         -rm -rf ./$(DEPDIR)
901         -rm -f Makefile
902 distclean-am: clean-am distclean-compile distclean-generic \
903         distclean-local distclean-tags
904
905 dvi: dvi-am
906
907 dvi-am:
908
909 html: html-am
910
911 html-am:
912
913 info: info-am
914
915 info-am:
916
917 install-data-am: install-data-local install-libsciboolean_la_etcDATA \
918         install-libsciboolean_la_rootDATA \
919         install-libsciboolean_la_sci_gatewayDATA
920
921 install-dvi: install-dvi-am
922
923 install-dvi-am:
924
925 install-exec-am: install-pkglibLTLIBRARIES
926
927 install-html: install-html-am
928
929 install-html-am: install-html-local
930
931 install-info: install-info-am
932
933 install-info-am:
934
935 install-man:
936
937 install-pdf: install-pdf-am
938
939 install-pdf-am:
940
941 install-ps: install-ps-am
942
943 install-ps-am:
944
945 installcheck-am:
946
947 maintainer-clean: maintainer-clean-am
948         -rm -rf ./$(DEPDIR)
949         -rm -f Makefile
950 maintainer-clean-am: distclean-am maintainer-clean-generic
951
952 mostlyclean: mostlyclean-am
953
954 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
955         mostlyclean-libtool
956
957 pdf: pdf-am
958
959 pdf-am:
960
961 ps: ps-am
962
963 ps-am:
964
965 uninstall-am: uninstall-libsciboolean_la_etcDATA \
966         uninstall-libsciboolean_la_rootDATA \
967         uninstall-libsciboolean_la_sci_gatewayDATA \
968         uninstall-pkglibLTLIBRARIES
969
970 .MAKE: check-am install-am install-strip
971
972 .PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
973         clean clean-generic clean-libtool clean-local \
974         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES ctags \
975         distclean distclean-compile distclean-generic \
976         distclean-libtool distclean-local distclean-tags distdir dvi \
977         dvi-am html html-am info info-am install install-am \
978         install-data install-data-am install-data-local install-dvi \
979         install-dvi-am install-exec install-exec-am install-html \
980         install-html-am install-html-local install-info \
981         install-info-am install-libsciboolean_la_etcDATA \
982         install-libsciboolean_la_rootDATA \
983         install-libsciboolean_la_sci_gatewayDATA install-man \
984         install-pdf install-pdf-am install-pkglibLTLIBRARIES \
985         install-ps install-ps-am install-strip installcheck \
986         installcheck-am installdirs maintainer-clean \
987         maintainer-clean-generic mostlyclean mostlyclean-compile \
988         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
989         tags uninstall uninstall-am uninstall-libsciboolean_la_etcDATA \
990         uninstall-libsciboolean_la_rootDATA \
991         uninstall-libsciboolean_la_sci_gatewayDATA \
992         uninstall-pkglibLTLIBRARIES
993
994
995 # This target enables tests for Scilab
996 check-local: $(top_builddir)/scilab-bin test
997         @COMMAND="test_run('$(modulename)');quit";\
998         export LANG=C;\
999         $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"
1000 check-code:
1001         if test -f build.xml; then \
1002                 $(ANT) checkstyle; \
1003         fi
1004         if test -x "$(SPLINT)"; then \
1005                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1006         fi
1007 @NEED_JAVA_TRUE@java:
1008 # Some configurations needs to export JAVA_HOME in the current env
1009 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1010 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1011 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1012 @NEED_JAVA_TRUE@                $(ANT); \
1013 @NEED_JAVA_TRUE@        fi
1014
1015 @NEED_JAVA_TRUE@clean-java:
1016 # Some configurations needs to export JAVA_HOME in the current env
1017 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1018 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1019 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1020 @NEED_JAVA_TRUE@                $(ANT) clean; \
1021 @NEED_JAVA_TRUE@        fi;
1022
1023 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1024 # We call the target swig-build on the variable SWIG_WRAPPERS
1025
1026 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1027 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1028 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1029 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1030 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1031 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1032 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1033 @SWIG_TRUE@             done; \
1034 @SWIG_TRUE@     fi
1035
1036 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1037 # We call the target swig-build on the variable SWIG_WRAPPERS
1038
1039 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1040 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1041 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1042 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1043 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1044 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1045 @GIWS_TRUE@             done; \
1046 @GIWS_TRUE@     fi
1047
1048 @GIWS_TRUE@giws-exception:
1049 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1050 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1051 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1052
1053 macros:
1054         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1055                 echo "Error : Cannot build $< : Scilab has not been built"; \
1056         else \
1057                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1058         fi)
1059
1060 # Removes the macros
1061 clean-macros:
1062 # Removes macros (*.bin generated from .sci)
1063         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1064                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1065                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1066         done
1067
1068 test:
1069 # More tests could be added here
1070         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1071         if test -f build.xml -a $$USEANT -eq 1; then \
1072                 $(ANT) test; \
1073         fi
1074
1075 all-local: $(TARGETS_ALL)
1076
1077 .sci.bin:
1078         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1079         echo "Error : Cannot build $< : Scilab has not been build"; \
1080         else \
1081         echo "Creating $@"; \
1082         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1083         fi )
1084
1085 install-html-local:
1086
1087 install-data-local-local:
1088 # Mainly for javasci
1089         @if test -d $(srcdir)/javadoc; then \
1090                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1091         fi
1092 # If the user wants the help sources to be installed
1093 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1094 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1095 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1096 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1097 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1098 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1099 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1100 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1101 @INSTALL_HELP_XML_TRUE@           done ; \
1102 @INSTALL_HELP_XML_TRUE@         fi; \
1103 @INSTALL_HELP_XML_TRUE@  fi; \
1104 @INSTALL_HELP_XML_TRUE@ done; \
1105 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1106 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1107 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1108 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1109 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1110 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1111 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1112 @INSTALL_HELP_XML_TRUE@           done ; \
1113 @INSTALL_HELP_XML_TRUE@         fi; \
1114 @INSTALL_HELP_XML_TRUE@ fi
1115 install-data-local:
1116 # Install the tests
1117         @echo "-------- Install tests (if any) --------"; \
1118         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1119           if test -d $(srcdir)/$$dir/; then \
1120             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1121                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1122                     if test -d "$(srcdir)/$$dir/$$file"; then \
1123                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1124                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1125                     else \
1126                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1127                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1128                     fi \
1129                   done; \
1130           fi; \
1131         done
1132 # Install the help chapter
1133         @echo "-------- Install the help chapter (if any) --------"; \
1134         for lang in $(HELP_CHAPTERLANG); do \
1135                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1136                 if test -f $$HELPFILE; then \
1137                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1138                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1139                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1140                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1141                 fi; \
1142         done
1143 # Install the demos & examples
1144         @echo "-------- Install demos & examples (if any) --------"; \
1145         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1146           if test -d $(srcdir)/$$dir/; then \
1147             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1148                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1149                     if test -d "$(srcdir)/$$dir/$$file"; then \
1150                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1151                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1152                     else \
1153                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1154                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1155                     fi \
1156                   done; \
1157           fi; \
1158         done
1159 # Install the macros
1160         @echo "-------- Install macros (if any) --------"; \
1161         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1162           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1163                 if test -d $(srcdir)/$$dir/; then \
1164                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1165                         if test -n "$(MACROSSPECIALEXT)"; then \
1166                                 specialExtDir=""; \
1167                                 for specialExt in $(MACROSSPECIALEXT); do \
1168                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1169                                 done; \
1170                                 FILELIST="$$FILELIST $$specialExtDir"; \
1171                         fi; \
1172                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1173                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1174                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1175                   done; \
1176                 fi; \
1177         done
1178 # Install java files (.jar)
1179         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1180         echo "-------- Install jar files --------"; \
1181     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1182           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1183                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1184                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1185           done ; \
1186         fi
1187
1188 ########### CLEAN ###################
1189 # Clean help (generated automatically by Scilab)
1190 # It used to clean the macro (clean-macros) but this was causing
1191 # make clean && make to fail Scilab startup
1192 @NEED_JAVA_TRUE@clean-local: clean-java
1193 @NEED_JAVA_FALSE@clean-local:
1194
1195 distclean-local:
1196         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1197
1198 .PHONY: macros java swig giws
1199
1200 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1201 # Otherwise a system limit (for SysV at least) may be exceeded.
1202 .NOEXPORT: